Skip to content
Dashboard
Theme
Theme

Deactivate

POST /v1/connections/{conn}/deactivate: Deactivate.

View Markdown

POST /v1/connections/{conn}/deactivate

Scope
connections:write
Auth
Secret key (sk_…)
Since
1.0
  • conn string Required

  • OhAuthCat-Version string

    Minor version; defaults to the environment’s pin.

  • Idempotency-Key string

    Honoured for 24 h; a replay returns the original response.

    min length 1 · max length 255

Errors share one shape; see the error code catalogue.

curl -X POST \
"https://api.ohauthcat.com/v1/connections/conn_01J9Z3K5V7W8X9Y0Z1A2B3C4D5/deactivate" \
-H "Authorization: Bearer $OHAUTHCAT_API_KEY"
Response 200
{
"oidc_managed": {
"provider": "google_workspace",
"entra_tenant_id": "01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"allow_personal_accounts": false
},
"catalogue_idp": "okta",
"id": "conn_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"object": "connection",
"legacy_ids": {
"workos": "org_01H8ZQ4M7K2X8V3N5B6C1D0E9F"
},
"forwarding": {
"acs_urls": [
"https://app.acme.com/callback"
],
"redirect_uris": [
"https://app.acme.com/callback"
],
"until": "2026-01-15T09:30:00Z",
"expires_in_days": 0,
"last_warning_days": 1,
"hint": "example_hint"
},
"idp_initiated": {
"enabled": false,
"client_id": "client_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"default_redirect_uri": "https://app.acme.com/callback"
},
"organization_id": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"name": "Acme Corp",
"type": "saml",
"state": "draft",
"sp_entity_id": "https://idp.acme.com/saml/metadata",
"sp_metadata_url": "https://app.acme.com/callback",
"test_idp": true,
"acs_urls": [
"https://app.acme.com/callback"
],
"sp_slo_urls": [
"https://app.acme.com/callback"
],
"routing_domains": [
"acme.com"
],
"standby_registered": true,
"import_source": "example_import_source",
"import_lever": "A",
"standby_acs_selection": "url",
"idp_entity_id": "https://idp.acme.com/saml/metadata",
"oidc_issuer": "https://idp.acme.com/saml/metadata",
"metadata_stale_since": "2026-01-15T09:30:00Z",
"untested_since": "2026-01-15T09:30:00Z",
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:00Z"
}